Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I use rsnapshot to backup various machines, and there is a bug fix between 1.3.1-1 and 1.3.1-3 which is important to me. Unfortunately, this bug fix is only packaged for Oneiric, and a couple of my machines are still running Natty.

Is there a simple way of installing this package from the Oneiric repository on my Natty machines?

share|improve this question
    
Have you tried downloading the .deb and install it through dpkg -i package name? –  LnxSlck Apr 3 '12 at 21:41
    
Sorry, I should have been more clear. I could do that. I could also download it from source, etc. But I'd much rather simply grab it from the repo. Not least of all because it's tested, etc., and I use Puppet to manage these boxes. –  dty Apr 3 '12 at 21:45
    
@Jorge Castro, why are you even bothering to edit the title? Is it really that important to you? I wrote it a particular way on purpose. For me, the Ubuntu version numbers take effort to think about (being all 0s, 1s and 4s for the last 2 years), whereas the codenames are far more useful. –  dty Apr 5 '12 at 16:42
    
We don't do codenames on this site as officially the releases are numbered. But if you feel that strongly about it feel free to change it back. –  Jorge Castro Apr 5 '12 at 16:43

1 Answer 1

up vote 2 down vote accepted

Unless I'm mistaken, you can accomplish this with apt-pinning.

A basic howto for beginners can be found here; http://jaqque.sbih.org/kplug/apt-pinning.html

share|improve this answer
1  
Thanks Jeff. Once I new that "pinning" was the thing I was looking for, I got it working with the help of help.ubuntu.com/community/PinningHowto and askubuntu.com/questions/27685/… –  dty Apr 4 '12 at 13:13

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.